RestoreRedundancyOperation (Apache Geode 1.13.3)
Date: 2021-06-22

org.apache.geode.cache.control

## Interface RestoreRedundancyOperation

-     public interface RestoreRedundancyOperation

  Class for defining and starting a `CompletableFuture` that returns `RestoreRedundancyResults`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RestoreRedundancyOperation` | `excludeRegions(Set<String> regions)` Exclude specific regions from the restore redundancy operation.
    `RestoreRedundancyOperation` | `includeRegions(Set<String> regions)` Specify which regions to include in the restore redundancy operation.
    `RestoreRedundancyResults` | `redundancyStatus()` Determines the current redundancy status for the partitioned regions associated with this operation.
    `RestoreRedundancyOperation` | `shouldReassignPrimaries(boolean shouldReassign)` Set whether the restore redundancy operation should reassign primary buckets.
    `CompletableFuture<RestoreRedundancyResults>` | `start()` Asynchronously starts a new restore redundancy operation.

- - ### Method Detail

    - #### includeRegions

          RestoreRedundancyOperation includeRegions(Set<String> regions)

      Specify which regions to include in the restore redundancy operation. The default, `null`, means all regions should be included. Includes take precedence over excludes.``
      Parameters:
        `regions` - A set containing the names of regions to include.

    - #### excludeRegions

          RestoreRedundancyOperation excludeRegions(Set<String> regions)

      Exclude specific regions from the restore redundancy operation. The default, `null`, means don't exclude any regions.``
      Parameters:
        `regions` - A set containing the names of regions to exclude.

    - #### shouldReassignPrimaries

          RestoreRedundancyOperation shouldReassignPrimaries(boolean shouldReassign)

      Set whether the restore redundancy operation should reassign primary buckets. The default, `true`, will result in primary buckets being reassigned for better load balancing across members.
      Parameters:
        `shouldReassign` - A boolean indicating whether or not the operation created by this class should reassign primary bucket hosts.

    - #### start

          CompletableFuture<RestoreRedundancyResults> start()

      Asynchronously starts a new restore redundancy operation. Only the cache resources used by this member will have redundancy restored. The operation may queue as needed for resources in contention by other active restore redundancy operations.
      Returns:
        a `CompletableFuture` which will return the results of the restore redundancy operation started by this method.

    - #### redundancyStatus

          RestoreRedundancyResults redundancyStatus()

      Determines the current redundancy status for the partitioned regions associated with this operation.
      Returns:
        The `RestoreRedundancyResults` containing the redundancy information for each included region.